<div id="container_pasi_ceisa_produksi_sbc" style="height:100%; margin:0px; padding:0px;overflow:'hidden'; border: 0px solid #cd0a0a">
<div class="pane-header ui-state-active" id="pasi_ceisa_produksi_sbc_bar" >   
<button type="button" id="pasi_ceisa_produksi_sbc_new">New Process</button> 
	<button type="button" id="pasi_ceisa_produksi_sbc_bom">Get BOM</button> 
	<button type="button" id="pasi_ceisa_produksi_sbc_mesin">Pilih Mesin</button>
<!--	<button type="button" id="pasi_ceisa_produksi_sbc_qty">Update QTY</button> -->
	<button type="button" id="pasi_ceisa_produksi_sbc_material">View Material</button>  
	<button type="button" id="pasi_ceisa_produksi_sbc_output">View Output</button>  
	<button type="button" id="pasi_ceisa_produksi_sbc_finish_to_output">Output SBC</button>
	<button type="button" id="pasi_ceisa_produksi_sbc_cancel">Cancel</button>
</div>
<table id="pasi_ceisa_produksi_sbc_tbl"></table> <div id="ppasi_ceisa_produksi_sbc_tbl"></div> 



<script type="text/javascript">
    
    $(document).ready(function(){
	
	$(window).bind('resize', function() {  
		setTimeout(function(){
			setGridHight($("#pasi_ceisa_produksi_sbc_tbl"),$("#container_pasi_ceisa_produksi_sbc"),$("#pasi_ceisa_produksi_sbc_bar")); 
		},10); 
	}); 
		 
	$("#pasi_ceisa_produksi_sbc_new").button();  		 
	$("#pasi_ceisa_produksi_sbc_bom").button(); 
	$("#pasi_ceisa_produksi_sbc_mesin").button(); 
	$("#pasi_ceisa_produksi_sbc_material").button(); 
/*	$("#pasi_ceisa_produksi_sbc_qty").button(); */
	$("#pasi_ceisa_produksi_sbc_finish_to_output").button(); 
	$("#pasi_ceisa_produksi_sbc_output").button(); 
	$("#pasi_ceisa_produksi_sbc_cancel").button(); 
    jQuery("#pasi_ceisa_produksi_sbc_material").click(function(){  
		var mark_id = jQuery('#pasi_ceisa_produksi_sbc_tbl').jqGrid('getGridParam','selrow');   
					  if(!mark_id){ alert("Select Dokumen ");exit;}    
					  var ret = jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('getRowData',mark_id);    
		   
  var field_data={posisi_proses: ret.r4 
				  ,no_produksi:ret.r1 
				  ,id_header:ret.rID
				  };
  
  var $dialog = jQuery('<div \>')
   .load('<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_load/view_produksi_material_lot'; ?>',field_data)
   .dialog({
	  modal:true,
	  width : 850,
	  height : 500,
		  title :'LIST MATERIAL',
		  buttons: {
			  "CLOSE": function(){
				  $dialog.dialog("close");  
			  } ,
		  
		  },
		  close : function(){
			  $dialog.dialog('destroy').remove();
			  $('#pasi_ceisa_produksi_tbl_item_list').trigger('reloadGrid');
		  },
		  open: function(){
			  $("body").unblock(); 
		  }
	  }); 
 

	}); 


	jQuery("#pasi_ceisa_produksi_sbc_new").click(function(){  
			 
			 var $dialog = jQuery('<div\>')
			  .load('<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_load/view_produksi_all_new'; ?>')
			  .dialog({
				 modal:true, 
				 width : 500,
				 height : 200,
				 title :'NEW PROSES',
				 buttons: {
					 "CLOSE": function(){
						 $dialog.dialog("close");  
					 } ,
					 "NEW PROSES": function(){ 
							 var petugas =  jQuery("#PETUGAS").val();
							 var tanggal	=getValueDate(jQuery("#TANGGAL_KELUAR"),'yymmdd');
					 
							  var form_edit = {      
									  OPERATOR  : petugas,  
									 TANGGAL_PROCESS  : tanggal,  
									 posisi_proses:'SBC'
							 }; 
							 
							 $.ajax({    
							 url:'<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_save/save_proses_produksi_new'; ?>',
							 type : 'POST',
								 data : form_edit,
								 dataType: 'json',
								 success: function(msg){
									 if (msg.valid){
										 alert(msg.stsmsg);  
										 $dialog.dialog("close");  
									 } else { alert(msg.stsno+msg.stsmsg);  }
								 } 
							 });
							  
					 } , 
				 },
				 close : function(){
					 $dialog.dialog('destroy').remove();
					 $('#pasi_ceisa_produksi_sbc_tbl').trigger('reloadGrid');
				 },
				 
				 open: function(){ 
				 
				 $( "#TANGGAL_PRODUKSI" ).datepicker({
				   dateFormat:'dd-mm-yy',
				   changeMonth: true,
				   changeYear: true,
				   numberOfMonths: 1,
				   onClose: function( selectedDate ) {
				   }
				 });
 
			   $("body").unblock(); 
		   }
			 }); 
	 }); 


	jQuery("#pasi_ceisa_produksi_sbc_output").click(function(){  
		var mark_id = jQuery('#pasi_ceisa_produksi_sbc_tbl').jqGrid('getGridParam','selrow');   
					  if(!mark_id){ alert("Select Dokumen ");exit;}    
					  var ret = jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('getRowData',mark_id);    
		   
  var field_data={posisi_proses:'sbc'
				  ,no_produksi:ret.r1
				  ,id_header:ret.rID
				  };
  
  var $dialog = jQuery('<div \>')
   .load('<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_load/view_produksi_all_output'; ?>',field_data)
   .dialog({
	  modal:true,
	  width : 850,
	  height : 500,
		  title :'LIST OUTPUT',
		  buttons: {
			  "CLOSE": function(){
				  $dialog.dialog("close");  
			  } ,
		  
		  },
		  close : function(){
			  $dialog.dialog('destroy').remove();
			  $('#pasi_ceisa_produksi_tbl_item_list').trigger('reloadGrid');
		  },
		  open: function(){
			  $("body").unblock(); 
		  }
	  }); 
 

	}); 


    jQuery("#pasi_ceisa_produksi_sbc_bom").click(function(){   
		var mark_id = jQuery('#pasi_ceisa_produksi_sbc_tbl').jqGrid('getGridParam','selrow');   
							if(!mark_id){ 
								alert("Select Dokumen ");exit;} 
							else {
								var retrow = jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('getRowData',mark_id);    
							}	
							var data = {
							
								idheader : retrow.ID, 

								
							}; 					
		var $dialog = jQuery('<div \>')
		 .load('<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_load/view_produksi_sbc_bom'; ?>',{idheader:retrow.rID})

		 .dialog({
			modal:true,
				width : 700,
				height : 450,
				title :'PILIH BOM',
				multiselect:false,
				buttons: {
						"CLOSE": function(){
							$dialog.dialog("close");  
						} ,
						"PILIH": function(){  
							var mark_id = jQuery('#pasi_ceisa_produksi_item_header_module_tbl').jqGrid('getGridParam','selrow');   
							if(!mark_id){ alert("Select BOM ");} 
							else {
								var ret = jQuery("#pasi_ceisa_produksi_item_header_module_tbl").jqGrid('getRowData',mark_id);    
							}	
 
	 

					 
							var form_edit = {
								bc_prefix :'produksi',    
								id_header : retrow.rID, 
					 			replace_if_exists        	: $('#replace_if_existInvoice').is(':checked')==true?'1':'0',    
								id_bom  : ret.rID, //myArray  
								posisi     : 'SBC',
								
							}; 					

							$.ajax({    
						url:'<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_save/save_proses_produksi_all'; ?>',
						type : 'POST',
							data : form_edit,
							dataType: 'json',
							success: function(msg){
								if (msg.valid){
									alert(msg.stsmsg);  
									$dialog.dialog("close");  
								} else { alert(msg.stsno+msg.stsmsg);  }
							} 
						});
	

						},	
						
				},	
				close : function(){
					$dialog.dialog('destroy').remove();
					$('#pasi_ceisa_produksi_sbc_tbl').trigger('reloadGrid');
				},
				open: function(){
					$("body").unblock(); 
				}		
				
			}); 			

	}); 


	jQuery("#pasi_ceisa_produksi_sbc_mesin").click(function(){  

		var mark_id = jQuery('#pasi_ceisa_produksi_sbc_tbl').jqGrid('getGridParam','selrow');   
					  if(!mark_id){ alert("Select Dokumen ");exit;}    
		 var ret2 = jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('getRowData',mark_id); 			  
		var $dialog = jQuery('<div \>')
		 .load('<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_load/view_produksi_all_mesin'; ?>',{posisi:'SBC'})

		 .dialog({
			modal:true,
				width : 650,
				height : 450,
				title :'PILIH MESIN',
				multiselect:false,
				buttons: {
						"CLOSE": function(){
							$dialog.dialog("close");  
						} ,
						"PILIH": function(){  
	

							var mark_id = jQuery('#pasi_ceisa_produksi_machine_module_tbl').jqGrid('getGridParam','selrow');   
							if(!mark_id){ alert("Select Machine ");} 
							else {
								var ret = jQuery("#pasi_ceisa_produksi_machine_module_tbl").jqGrid('getRowData',mark_id);    
							}		

 
					 
							var form_edit = {
								bc_prefix :'produksi',     
					 			replace_if_exists        	: $('#replace_if_existInvoice').is(':checked')==true?'1':'0',    
								id_header  : ret2.rID,  
								kode_mesin : ret.r1,
								nama_mesin : ret.r2
							}; 					

							$.ajax({    
						url:'<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_save/save_pilih_mesin'; ?>',
						type : 'POST',
							data : form_edit,
							dataType: 'json',
							success: function(msg){
								if (msg.valid){
									alert(msg.stsmsg);  
									$dialog.dialog("close");  
								} else { alert(msg.stsno+msg.stsmsg);  }
							} 
						});
	

						},	
						
				},	
				close : function(){
					$dialog.dialog('destroy').remove();
					$('#pasi_ceisa_produksi_sbc_tbl').trigger('reloadGrid');
				},
				open: function(){
					$("body").unblock(); 
				}		
				
			}); 			

	}); 






	jQuery("#pasi_ceisa_produksi_sbc_qty").click(function(){  
			var mark_id = jQuery('#pasi_ceisa_produksi_sbc_tbl').jqGrid('getGridParam','selrow');   
						 	if(!mark_id){ alert("Pilih record dahulu");exit;}    
			var $dialog =  $('<div />')
				.html(' <div class="ui-layout-content ui-widget-content-panel" style="margin-top:10px"> \
				Perubahan jumlah BOM, akan berpengaruh terhadap kebutuhan material , dan jumlah output \
				</div>\
				 <div class="pane-header ui-state-active" id="pasi_ceisa_beli_bar2" >JUMLAH BOM</div>\
				 <div class="ui-layout-content ui-widget-content-panel">\
			 	 <label class="lbfield55">QTY</label><label class="lbcolon">:</label><input id="jumlah_qty" name="jumlah_qty"  style="width:185px"   type="text" /><br \>\
			 	 <label class="lbfield55">KETERANGAN</label><label class="lbcolon">:</label><input id="keterangan" name="keterangan"  style="width:185px"   type="text" /><br \>\
				</div>\
				<div class="pane-footer ui-state-default" />')
				.dialog({
					modal:true,
					width : 500,
					height : 250,
					title :'EDIT QTY',
					buttons: {
					"CLOSE": function(){
						$dialog.dialog("close");  
					} ,
					"SIMPAN": function(){ 
							var mark_id = jQuery('#pasi_ceisa_produksi_sbc_tbl').jqGrid('getGridParam','selrow');   
						 	if(!mark_id){ alert("Pilih produk yang akan di edit");exit;}    
								var ret = jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('getRowData',mark_id);    
						 	
							var form_edit = {      
									id_header  : ret.rID, 
					 				jumlah_qty  : $( "#jumlah_qty" ).val(), 
									keterangan  : $( "#keterangan" ).val(),
							}; 
							
							$.ajax({    
							url:'<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_save/edit_qty_bom'; ?>',
							type : 'POST',
								data : form_edit,
								dataType: 'json',
								success: function(msg){
									if (msg.valid){
										alert(msg.stsmsg);  
										$dialog.dialog("close");  
									} else { alert(msg.stsno+msg.stsmsg);  }
								} 
							});
							 
					} , 
				},
				
				close : function(){
					$dialog.dialog('destroy').remove();
					$('#pasi_ceisa_produksi_sbc_tbl').trigger('reloadGrid');
				},

			}); 

	}); 



	jQuery("#pasi_ceisa_produksi_sbc_finish_to_output").click(function(){  
		var mark_id = jQuery('#pasi_ceisa_produksi_sbc_tbl').jqGrid('getGridParam','selrow');   
	   
		if(!mark_id){ alert("pilih dokumen ");exit;}  
		var ret = jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('getRowData',mark_id);   
		var field_data={
					 id_header:ret.rID
				    ,noproduksi:ret.r1
			 
 
				  };
    
		 var $dialog = jQuery('<div \>')
		 .load('<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_load/view_produksi_lot_detail'; ?>',field_data)

				.dialog({
					modal:true,
					width : 570,
					height : 550,
					title :'FINISHING PROCESS',
					buttons: {
					"CLOSE": function(){
						$dialog.dialog("close");  
					} ,
					"SAVE": function(){ 
						var myArray = [];
						 
							var rowsData = $("#pasi_ceisa_produksi_item_detail_tbl").jqGrid("getGridParam", "selarrrow");
							for (var i = 0; i < rowsData.length; i++) 
							{ 
								var idx = rowsData[i];
								var rowData = $("#pasi_ceisa_produksi_item_detail_tbl").getRowData(idx);
								if ( $.isNumeric(''+rowData.r3)==true){
									if (parseFloat(rowData.r3)>0){
										var nomorlot = rowData.r2;
										var qty = parseFloat(rowData.r3);
										var adx = nomorlot +'~' + qty 
										myArray.push(adx); 
										 
									}
								} 	
								
							}  						 	
							var form_edit = {      
								id_header  : ret.rID,
								noproduksi : ret.r1, 
								lstsa  : myArray  , 
								 
									 
						 
							}; 
							$.ajax({    
							url:'<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_save/finish_produksi_to_output'; ?>',
							type : 'POST',
								data : form_edit,
								dataType: 'json',
								success: function(msg){
									if (msg.valid){
										alert(msg.stsmsg);  
										$dialog.dialog("close");  
									} else { alert(msg.stsno+msg.stsmsg);  }
								} 
							});
							 
					} , 
				},
				
				close : function(){
					$dialog.dialog('destroy').remove();
					$('#pasi_ceisa_produksi_sbc_tbl').trigger('reloadGrid');
				},

			}); 

	}); 



	jQuery("#pasi_ceisa_produksi_sbc_item").click(function(){  
  
  var mark_id = jQuery('#pasi_ceisa_produksi_sbc_tbl').jqGrid('getGridParam','selrow');   
					  if(!mark_id){ alert("Select Dokumen ");exit;}    
					  var ret = jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('getRowData',mark_id);    
		   
  var field_data={parmeter:'parameter'
	  			  ,bc_prefix:'in'
				  ,no_invoice:ret.r2
				  ,id_header:ret.rID
				  ,NOMOR_PENERIMAAN:ret.r11
				  ,TANGGAL_PENERIMAAN:ret.r12
				  ,NOMOR_SURATJALAN:ret.r13
				  ,TANGGAL_SURATJALAN:ret.r14
				  };
  
  var $dialog = jQuery('<div \>')
   .load('<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_load/view_produksi_sbc_item'; ?>',field_data)
   .dialog({
	  modal:true,
	  width : 950,
	  height : 550,
		  title :'LIST BARANG KELUAR',
		  buttons: {
			  "CLOSE": function(){
				  $dialog.dialog("close");   
			  } ,
		  
		  },
		  close : function(){
			  $dialog.dialog('destroy').remove();
			  $('#pasi_ceisa_produksi_sbc_tbl').trigger('reloadGrid'); 
		  },
		  open: function(){
			  $("body").unblock(); 
		  }
	  }); 
}); 



jQuery("#pasi_ceisa_produksi_sbc_cancel").click(function(){  
			var $dialog =  $('<div />')
			.html(' <div class="ui-layout-content ui-widget-content-panel" style="margin-top:10px"> \
			<table class="tr20" > \
				<input type="hidden" id="doc_in_id23"> \
							<tr>\
								<td class="td50">Password</td> \
							  <td width="10"><div align="center">:</div></td> \
								<td colspan="3"><input name="password" type="password" id="password" style="width:100%;text-align:left;" /></td> \
							</tr> \
						</table> \
				</div>\
				<div class="pane-footer ui-state-default" />')
			 .dialog({
				modal:true,
				width : 200,
				height : 150,
				title :'CANCEL PROSES',
				buttons: {
					"CLOSE": function(){
						$dialog.dialog("close");  
					} ,
					"CANCEL": function(){ 
							var mark_id = jQuery('#pasi_ceisa_produksi_sbc_tbl').jqGrid('getGridParam','selrow');   
						 	if(!mark_id){ alert("Pililh proses yang akan di cancel");exit;}    
								var ret = jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('getRowData',mark_id);    
								var form_edit = {      
									id_header  : ret.rID,
									username  : ret.r100  ,
									password  : $('#password').val() 
							}; 

							var form_hapus = {
									id_header : ret.rID,
									username  : ret.r100  ,
									bagian:'produksi',
							};
							   
							jQuery('.ui-dialog button:nth-child(2)').button('disable'); 
							$.ajax({    
							url:"<?= base_url() ?>pasi_auth/ct_pasi_auth_load/login",
							type : 'POST',
								data : form_edit,
								dataType: 'json',
								success: function(res){
									if (res.error == 0) {
										$.ajax({ 
											url:'<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_save/cancel_produksi'; ?>',
										type : 'POST',
										data: form_hapus,
										dataType: 'json',
										success: function(msg){
										if (msg.valid){
												alert(msg.stsmsg);  
												$dialog.dialog("close");  
											} else { alert(msg.stsno+msg.stsmsg);  }
										} 
										});
									}else{
										alert("Userid atau password salah");
									}	
								} 
							}).always(function() {
										jQuery('.ui-dialog button:nth-child(2)').button('enable'); 
							});
							 
					} , 
				},





				close : function(){
					$dialog.dialog('destroy').remove();
					$('#pasi_ceisa_produksi_sbc_tbl').trigger('reloadGrid');
				},
				open: function(){
				$("body").unblock(); 
				}
			}); 
	}); 


//--------------------LOAD DATA

    jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid({
        url:'<?php echo base_url().'pasi_ceisa_produksi/ct_produksi_data/loaddata_produksi_sbc'; ?>',
			mtype : "post",
			postData:{'q':'1'},  
			datatype: "json",
			colNames:[
			'id','G','Status','No.Produksi','Tanggal','Nama BOM','Posisi Proses','QTY BOM','Kode','Nama','Kode','Nama','Item No'
			,'Date','By','petugas']

			,colModel:[
			{name:'rID',index:'rID', width:80, hidden:true , align :'right'}
 			,{name:'r9',index:'r9', width:80, hidden:false,  align: "center",stype: "select", searchoptions: { value: "-100:All;1:FINISH;0:PROCESS" }}
			,{name:'r9',index:'r9', width:80, hidden:true, align :'left'}
			,{name:'r1',index:'r1', width:120, hidden:false, align :'left'} // no produksi      stype: 'select', search:true, searchoptions:{searchhidden: true, value: '-100:All;0:DRAFT;1:SEND TO MODULE;2:MAPPING;3:FINISH;-1:CANCEL'}}
     		,{name:'r2',index:'r2', width:120, hidden:false, align :'left'}  // no tanggal
			,{name:'r3',index:'r3', width:120, hidden:false, align :'left'}  // nama bom
			,{name:'r4',index:'r4', width:120, hidden:false, align :'left'}  // posisi proses
			,{name:'r5',index:'r5', width:50, hidden:true, align :'center'}  // qty

			,{name:'r12',index:'r12', width:80, hidden:false, align :'left'}  // kode mesin
			,{name:'r13',index:'r13', width:150, hidden:false, align :'left'}  // nama mesin		

            ,{name:'r6',index:'r6', width:100, hidden:false, align :'left'} // kode
			,{name:'r7',index:'r7', width:150, hidden:false, align :'left'} // nama
			,{name:'r8',index:'r8', width:250, hidden:false, align :'center'} // itemno
			 // keterangan
			,{name:'r10',index:'r10', width:80, hidden:false, align :'center'} // date
			,{name:'r11',index:'r11', width:100, hidden:false, align :'center'} // userid
			,{name:'r100',index:'r100', width:100, hidden:true, align :'center'} // userid
		
			],
			rowNum:10,
			rowList:[10,20,30],
			pager: '#ppasi_ceisa_produksi_sbc_tbl',
			sortname: 'r1',
			viewrecords: true,
			sortorder: "desc",
			width: '',
			height: 100,
			//width: 950,
			//height:300,
			jsonReader: { repeatitems : false },
			caption:"PROSES STRANDING BUNCHING (5)",
			rownumbers: true,
			loadonce: false,
			shrinkToFit: false,
			multiselect: false,
			afterInsertRow: function(rowid, aData){
				/*switch (aData.statusdok) {
					case 'DATA SENT':
						jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('setCell',rowid,'statusdok','',{color:'green'});
					break;
					case '2':
						jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('setCell',rowid,'statusdok','',{color:'red'});
					break;
					case '1':
						jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('setCell',rowid,'statusdok','',{color:'blue'});
					break;
					
				} */
			},
		    onSelectRow: function(rowid){ 
				var rowData = $("#pasi_ceisa_produksi_sbc_tbl").getRowData(rowid); 
	/*	 		if (rowData.rg == 'Yes' ){
					$("#pasi_ceisa_beli_map_supplier").show();
				}
				else{
					$("#pasi_ceisa_beli_map_supplier").hide();
			   } */
	 
  		 	 },
			gridComplete: function(){
				var rowIDs = jQuery("#pasi_ceisa_produksi_sbc_tbl").getDataIDs(); 
				var rowData = $("#pasi_ceisa_produksi_sbc_tbl").getRowData();
			    
				for (var i = 0; i < rowData.length; i++) 
				{
				   var trElement = jQuery("#"+ rowIDs[i],jQuery('#pasi_ceisa_produksi_sbc_tbl'));
				   
				/*	switch (rowData[i].status_2) {
						case 'DATA PROCESSED':
						   trElement.css({"color":"green"});
						break;
						
						case 'SENT TO INVENTORY CANCELED':
						   trElement.css({"color":"green"});
						break;
						
						case 'DATA SENT TO INVENTORY':
						   trElement.css({"color":"purple"});
						break;
						case 'DATA PROCESSED INVENTORY':
						   trElement.css({"color":"blue"});
						break;
						case 'APPROVED INVENTORY':
						   trElement.css({"color":"red"});
						break;
					}*/
				}
			}, 
		}); 
		
		jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('setGroupHeaders', 
            { useColSpanStyle: true, groupHeaders:[
			{startColumnName: 'r1', numberOfColumns: 2, titleText: '<em><center>Dokumen</center></em>'},
 			{startColumnName: 'r3', numberOfColumns: 2, titleText: '<em><center>BOM</center></em>'}, 
 			{startColumnName: 'r12', numberOfColumns: 2, titleText: '<em><center>MACHINE</center></em>'}, 

 			{startColumnName: 'r6', numberOfColumns: 3, titleText: '<em><center>OUTPUT</center></em>'}, 
			 {startColumnName: 'r10', numberOfColumns: 2, titleText: '<em><center>CREATE</center></em>'}, 
        ] });
		
		jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('navGrid','#ppasi_ceisa_produksi_sbc_tbl',{del:false,add:false,edit:false},{},{},{},{multipleSearch:false});
		jQuery("#pasi_ceisa_produksi_sbc_tbl").jqGrid('filterToolbar',{stringResult: true,searchOnEnter : true, defaultSearch: 'cn', ignoreCase: true});
	
	
		
	setTimeout(function(){
			setGridHight($("#pasi_ceisa_produksi_sbc_tbl"),$("#container_pasi_ceisa_produksi_sbc"),$("#pasi_ceisa_produksi_sbc_bar")); 
		},100); 


 
		

    });



</script>

	
	